PABR_Insert("ITEM", {
	-- Items
	
	[42292] = { -- Trinket
		detect = "cast",
		cooldown = 120,
		tags = {"important", "defense"},
		trinket = true,
	},
	[59752] = { redirect = 42292 }, -- Every Man for Himself

	[6262] = { -- Healthstone
		detect = "cast",
		cooldown = 120,
		tags = {"important", "defense"},
	},
	
	[130935] = { -- Demonic Gateway (cooldown)
		detect = "effectup",
		effect = 130935,
		cooldown = 0,
		tags = {"utility"},
	},
	
	-- Racials
	
	[28730] = { -- Arcane Torrent
		detect = "cast",
		effect = {28730, 50613, 80483, 129597, 25046, 69179},
		cooldown = 120,
		tags = {"disable"},
	},
	[50613] = { redirect = 28730 },
	[80483] = { redirect = 28730 },
	[129597] = { redirect = 28730 },
	[25046] = { redirect = 28730 },
	[69179] = { redirect = 28730 },
	
	[26297] = { -- Berserking
		detect = "cast",
		effect = 26297,
		cooldown = 180,
		tags = {"attack"},
	},
	
	[33697] = { -- Blood Fury
		detect = "cast",
		effect = {33697, 20572, 33702},
		cooldown = 120,
		tags = {"attack"},
	},
	[20572] = { redirect = 33697 },
	[33702] = { redirect = 33697 },
	
	[20577] = { -- Cannibalize
		detect = "cast",
		effect = 0,			-- TODO
		cooldown = 120,
		tags = {"utility"},
	},
	
	[68992] = { -- Darkflight
		detect = "cast",
		effect = 68992,
		cooldown = 120,
		tags = {"utility"},
	},
	
	[20589] = { -- Escape Artist
		detect = "cast",
		cooldown = 90,
		tags = {"defense"},
	},
	
	[59545] = { -- Gift of the Naaru
		detect = "cast",
		effect = {59545, 59543, 59548, 121093, 59542, 59544, 59547, 28880},
		cooldown = 120,
		tags = {"defense"},	
	},
	[59543] = { redirect = 59545 },
	[59548] = { redirect = 59545 },
	[121093] = { redirect = 59545 },
	[59542] = { redirect = 59545 },
	[59544] = { redirect = 59545 },
	[59547] = { redirect = 59545 },
	[28880] = { redirect = 59545 },
	
	[107079] = { -- Quaking Palm
		detect = "cast",
		effect = 107079,
		cooldown = 120,
		tags = {"control"},
	},
	
	[69041] = { -- Rocket Barrage
		detect = "cast",
		cooldown = 120,
		tags = {"attack"},
	},
	
	[69070] = { -- Rocket Jump
		detect = "cast",
		cooldown = 120,
		tags = {"defense"},
	},
	
	[58984] = { -- Shadowmeld
		detect = "cast",
		cooldown = 120,
		tags = {"utility"},
	},
	
	[20594] = { -- Stoneform
		detect = "cast",
		effect = 0,				-- TODO
		cooldown = 120,
		tags = {"defense"},
	},
	
	[20549] = { -- War Stomp
		detect = "cast",
		effect = 20549,
		cooldown = 120,
		tags = {"stun"},
	},
	
	[7744] = { -- Will of the Forsaken
		detect = "cast",
		cooldown = 120,
		tags = {"utility"},
	},
	
	-- Tradeskills
	
	[121279] = { -- Lifeblood				TODO: check
		detect = "cast",
		cooldown = 120,
		tags = {"attack"},
	},
	
	[126734] = { -- Synapse Springs				TODO: check
		detect = "cast",
		effect = {96228, 96229, 96230},
		cooldown = 60,
		tags = {"attack"},
	},
	
	[55004] = { -- Nitro Boosts				TODO: check
		detect = "cast",
		effect = {55004},
		cooldown = 180,
		tags = {"utility"},
	},
	
	-- TODO: Glider, Cloak, Invis Belt, MC Belt, Dodge gloves, Armor gloves seem harder to find
} )