PABR_Insert("PET", {
	-- Deathknight
	
	[91802] = { -- Shambling Rush
		class = "DEATHKNIGHT",
		detect = "cast",
		effect = 91807,
		cooldown = 30,
		interrupt = 2,
		tags = {"interrupt"},
	},
	
	[91797] = { -- Monstrous Blow
		class = "DEATHKNIGHT",
		detect = "cast",
		effect = 91797,
		cooldown = 60,
		tags = {"important", "stun"},
	},

	[47481] = { -- Gnaw
		class = "DEATHKNIGHT",
		detect = "cast",
		effect = 91800,				-- TODO: check
		cooldown = 60,
		tags = {"important", "stun"},
	},
	[91800] = { redirect = 47481 },

	[91837] = { -- Putrid Bulwark
		class = "DEATHKNIGHT",
		detect = "cast",
		effect = 91837,
		cooldown = 45,
		tags = {"defense"},
	},
	
	-- Hunter

	[90355] = { -- Ancient Hysteria
		class = "HUNTER",
		detect = "cast",
		effect = 90355,
		cooldown = 360,
		tags = {"important", "attack"},
	},
	
	[126393] = { -- Eternal Guardian
		class = "HUNTER",
		detect = "cast",
		cooldown = 600,
		tags = {"resurrect"},
	},
	
	[50541] = { -- Clench
		class = "HUNTER",
		detect = "cast",
		effect = 50541,
		cooldown = 60,
		tags = {"disable"},
	},
	
	[91644] = { -- Snatch
		class = "HUNTER",
		detect = "cast",
		effect = 91644,
		cooldown = 60,
		tags = {"disable"},
	},
	
	[50245] = { -- Pin
		class = "HUNTER",
		detect = "cast",
		effect = 50245,
		cooldown = 40,
		tags = {"control"},
	},
	
	[54706] = { -- Venom Web Spray
		class = "HUNTER",
		detect = "cast",
		effect = 54706,
		cooldown = 40,
		tags = {"control"},
	},
	
	[4167] = { -- Web
		class = "HUNTER",
		detect = "cast",
		effect = 4167,
		cooldown = 40,
		tags = {"control"},
	},

	[126423] = { -- Petrifying Gaze
		class = "HUNTER",
		detect = "cast",
		effect = 126423,
		cooldown = 120,
		tags = {"control"},
	},
	
	[50519] = { -- Sonic Blast
		class = "HUNTER",
		detect = "cast",
		effect = 50519,
		cooldown = 120,
		tags = {"stun"},
	},
	
	[126246] = { -- Lullaby
		class = "HUNTER",
		detect = "cast",
		effect = 126246,
		cooldown = 120,
		tags = {"control"},
	},
	
	[126355] = { -- Paralyzing Quill
		class = "HUNTER",
		detect = "cast",
		effect = 126355,
		cooldown = 120,
		tags = {"control"},
	},
	
	[96201] = { -- Web Wrap
		class = "HUNTER",
		detect = "cast",
		effect = 96201,
		cooldown = 90,
		tags = {"stun"},
	},

	[56626] = { -- Sting
		class = "HUNTER",
		detect = "cast",
		effect = 56626,
		cooldown = 90,
		tags = {"stun"},
	},
	
	[90337] = { -- Bad Manner
		class = "HUNTER",
		detect = "cast",
		effect = 90337,
		cooldown = 120,
		tags = {"control"},
	},
	
	[50479] = { -- Nether Shock
		class = "HUNTER",
		detect = "cast",
		cooldown = 40,
		interrupt = 2,
		tags = {"interrupt"},
	},
	
	[26090] = { -- Pummel
		class = "HUNTER",
		detect = "cast",
		cooldown = 30,
		interrupt = 2,
		tags = {"interrupt"},
	},
	
	[50318] = { -- Serenity Dust
		class = "HUNTER",
		detect = "cast",
		cooldown = 60,
		interrupt = 4,
		tags = {"interrupt"},
	},
	
	[93434] = { -- Horn Toss
		class = "HUNTER",
		detect = "cast",
		cooldown = 90,
		tags = {"important", "utility"},
	},
	
	-- Mage
	
	[33395] = { -- Freeze
		class = "MAGE",
		detect = "cast",
		effect = 33395,
		cooldown = 25,
		tags = {"important", "control"},
	},
	
	-- Shaman
	
	[118345] = { -- Pulverize
		class = "SHAMAN",
		detect = "cast",
		effect = 118345,
		cooldown = 40,
		tags = {"important", "stun"},
	},
	
	-- Warlock

	[118093] = { -- Disarm
		class = "WARLOCK",
		detect = "cast",
		effect = 118093,
		cooldown = 60,
		tags = {"disarm"},
	},
	
	[17767] = { -- Shadow Bulwark
		class = "WARLOCK",
		detect = "cast",
		effect = 17767,
		cooldown = 120,
		tags = {"defense"},
	},
	
	[6360] = { -- Whiplash
		class = "WARLOCK",
		detect = "cast",
		cooldown = 25,
		tags = {"utility"},
	},
	
	[115770] = { -- Fellash
		class = "WARLOCK",
		detect = "cast",
		cooldown = 25,
		tags = {"utility"},
	},

	[119899] = { -- Cauterize Master
		class = "WARLOCK",
		detect = "cast",
		effect = 119899,
		cooldown = 30,
		tags = {"defense"},
	},
	
	[89792] = { -- Flee
		class = "WARLOCK",
		detect = "cast",
		cooldown = 20,
		tags = {"defense"},
	},
	
	[19647] = { -- Spell Lock
		class = "WARLOCK",
		detect = "cast",
		effect = 24259,
		cooldown = 24,
		interrupt = 6,
		tags = {"important", "interrupt", "disable"},
	},
	
	[115781] = { -- Optical Blast
		class = "WARLOCK",
		detect = "cast",
		effect = 115782,
		cooldown = 24,
		interrupt = 6,
		tags = {"important", "interrupt", "disable"},
	},

	[19505] = { -- Devour Magic
		class = "WARLOCK",
		detect = "cast",
		cooldown = 15,
		tags = {"dispel"},
	},

	[89808] = { -- Singe Magic
		class = "WARLOCK",
		detect = "cast",
		cooldown = 10,
		tags = {"dispel"},
	},
	
	[115276] = { -- Sear Magic
		class = "WARLOCK",
		detect = "cast",
		cooldown = 10,
		tags = {"dispel"},
	},

	[89766] = { -- Axe Toss
		class = "WARLOCK",
		detect = "cast",
		effect = 89766,
		cooldown = 30,
		tags = {"important", "stun"},
	},
} )