PABR_Insert("PALADIN", {
	[105809] = { -- Holy Avenger
		detect = "cast",
		effect = 105809,
		cooldown = 120,
		tags = {"important", "attack"},
	},

	[105593] = { -- Fist of Justice
		detect = "cast",
		effect = 105593,
		cooldown = 30,
		tags = {"important", "stun"},
	},

	[853] = { -- Hammer of Justice
		detect = "cast",
		effect = 853,
		cooldown = 60,
		tags = {"important", "stun"},
	},

	[20066] = { -- Repentance
		detect = "cast",
		effect = 20066,
		cooldown = 15,
		tags = {"control"},
	},

	[115750] = { -- Blinding Light
		detect = "cast",
		effect = {0, 0},		-- TODO (stun + disorient)
		cooldown = 120,
		tags = {"important", "control"},
		-- TODO: switch to stun with glyph (54934)
	},

	[31884] = { -- Avenging Wrath
		detect = "cast",
		effect = 31884,
		cooldown = 180,
		tags = {"important", "attack"},
		-- TODO: cooldown reduction for Ret
	},

	[31821] = { -- Devotion Aura
		detect = "cast",
		effect = 31821,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[96231] = { -- Rebuke
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(54925) then return 20 else return 15 end end,
		interrupt = function(self) if self:HasGlyph(54925) then return 6 else return 4 end end,
		tags = {"important", "interrupt"},
		-- TODO: check
	},

	[498] = { -- Divine Protection
		detect = "cast",
		effect = 498,
		cooldown = 60,
		tags = {"defense"},
	},

	[642] = { -- Divine Shield
		detect = "cast",
		effect = 642,
		cooldown = 300,
		tags = {"important", "defense"},
	},

	[633] = { -- Lay on Hands
		detect = "cast",
		cooldown = 600,
		tags = {"important", "defense"},
		-- TODO: glyph +120 sec CD (check)
	},

	[31850] = { -- Ardent Defender
		detect = "cast",
		effect = 31850,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[31842] = { -- Divine Favor
		detect = "cast",
		effect = 31842,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[54428] = { -- Divine Plea
		detect = "cast",
		effect = 54428,
		cooldown = 120,
		tags = {"utility"},
	},

	[86698] = { -- Guardian of Ancient Kings (Retribution)
		detect = "cast",
		effect = 86698,
		cooldown = 300,
		tags = {"important", "attack"},
	},
	
	[86659] = { -- Guardian of Ancient Kings (Protection)
		detect = "cast",
		effect = 86659,
		cooldown = 180,
		tags = {"defense"},
	},

	[86669] = { -- Guardian of Ancient Kings (Holy)
		detect = "cast",
		effect = 86669,
		cooldown = 300,
		tags = {"important", "defense"},
	},

	[114039] = { -- Hand of Purity
		detect = "cast",
		effect = 114039,
		cooldown = 30,
		tags = {"defense"},
	},
	
	[6940] = { -- Hand of Sacrifice
		detect = "cast",
		effect = 6940,
		charges = function(self) if self:HasTalent(12) then return 2 else return 1 end end,
		cooldown = 120,
		tags = {"defense"},
	},
	
	[1038] = { -- Hand of Salvation
		detect = "cast",
		effect = 1038,
		charges = function(self) if self:HasTalent(12) then return 2 else return 1 end end,
		cooldown = 120,
		tags = {"utility"},
	},
	
	[1044] = { -- Hand of Freedom
		detect = "cast",
		effect = 1044,
		charges = function(self) if self:HasTalent(12) then return 2 else return 1 end end,
		cooldown = 25,
		tags = {"utility"},
	},

	[1022] = { -- Hand of Protection
		detect = "cast",
		effect = 1022,
		charges = function(self) if self:HasTalent(12) then return 2 else return 1 end end,
		cooldown = 300,
		tags = {"important", "defense"},
	},
	
	-- TODO: [Talent - 11] Unbreakable Spirit - When your Divine Shield, Divine Protection or Lay on Hands are on cooldown, spending Holy Power will reduce the remaining cooldown by 1% per Holy Power spent, up to a maximum of 50% reduction.
} )