PABR_Insert("ROGUE", {
	[137619] = { -- Marked for Death
		detect = "cast",
		cooldown = 60,
		tags = {"attack"},
		-- TODO: reset CD on death of the effect recipient
	},

	[51690] = { -- Killing Spree
		detect = "cast",
		effect = 51690,
		cooldown = 120,
		tags = {"important", "attack"},
	},

	[79140] = { -- Vendetta
		detect = "cast",
		effect = 79140,
		cooldown = 120,
		tags = {"important", "attack"},
	},

	[36554] = { -- Shadowstep
		detect = "cast",
		effect = 36554,
		cooldown = 24,
		tags = {"important", "utility"},
	},

	[31230] = { -- Cheat Death			TODO: get proper spellId
		detect = "cast",
		effect = 0,						-- TODO
		cooldown = 90,
		tags = {"important", "defense"},
	},

	[74001] = { -- Combat Readiness
		detect = "cast",
		effect = 74001,
		cooldown = 120,
		tags = {"important", "defense"},
	},
	
	[14183] = { -- Premeditation
		detect = "cast",
		cooldown = 20,
		tags = {"attack"},
	},

	[51713] = { -- Shadow Dance
		detect = "cast",
		effect = 51713,
		cooldown = 60,
		tags = {"important", "attack"},
	},

	[13750] = { -- Adrenaline Rush
		detect = "cast",
		effect = 13750,
		cooldown = 180,
		tags = {"important", "attack"},
	},

	[76577] = { -- Smoke Bomb
		detect = "cast",
		effect = 76577,
		cooldown = 180,
		tags = {"important", "utility"},
	},

	[73981] = { -- Redirect
		detect = "cast",
		cooldown = 60,
		tags = {"utility"},
	},

	[114842] = { -- Shadow Walk
		detect = "cast",
		effect = 114842,
		cooldown = 60,
		tags = {"utility"},
	},

	[114018] = { -- Shroud of Concealment
		detect = "cast",
		effect = 114018,
		cooldown = 300,
		tags = {"important", "utility"},
	},

	[57934] = { -- Tricks of the Trade
		detect = "cast",
		effect = 57934,
		cooldown = 30,
		tags = {"attack"},
	},

	[31224] = { -- Cloak of Shadows
		detect = "cast",
		effect = 31224,
		cooldown = 60,
		tags = {"important", "defense"},
	},

	[51722] = { -- Dismantle
		detect = "cast",
		effect = 51722,
		cooldown = 60,
		tags = {"disable"},
	},

	[408] = { -- Kidney Shot
		detect = "cast",
		effect = 408,
		cooldown = 20,
		tags = {"stun"},
	},

	[2094] = { -- Blind
		detect = "cast",
		effect = 2094,
		cooldown = 120,
		tags = {"important", "control"},
	},

	[1856] = { -- Vanish
		detect = "cast",
		effect = 0,			-- TODO
		cooldown = 120,
		tags = {"important", "defense"},
	},

	[5277] = { -- Evasion
		detect = "cast",
		effect = 5277,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[2983] = { -- Sprint
		detect = "cast",
		effect = 2983,
		cooldown = 60,
		tags = {"utility"},
	},

	[1725] = { -- Distract
		detect = "cast",
		cooldown = 30,
		tags = {"utility"},
	},

	[121471] = { -- Shadow Blades
		detect = "cast",
		effect = 121471,
		cooldown = 180,
		tags = {"important", "attack"},
	},

	[14185] = { -- Preparation
		detect = "cast",
		reset = {2983, 1856, 5277, 51722},
		cooldown = 300,
		tags = {"important", "utility"},
	},

	[1766] = { -- Kick
		detect = "cast",
		cooldown = 15,
		interrupt = 5,
		tags = {"important", "interrupt"},
		-- TODO: glyph 56805: +4 sec CD, then -6 sec CD upon successful kick
	},

	-- TODO: combat spec: Your damaging finishing moves reduce the remaining cooldown of your Adrenaline Rush, Killing Spree, Redirect, Shadow Blades, and Sprint abilities by 2 sec per combo point.
} )