PABR_Insert("SHAMAN", {
	[108281] = { -- Ancestral Guidance
		detect = "cast",
		effect = 108281,
		cooldown = 120,
		tags = {"important", "defense"},
	},
	
	[108280] = { -- Healing Tide Totem
		detect = "cast",
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[16188] = { -- Ancestral Swiftness
		detect = "effectdown",
		cooldown = 90,
		tags = {"important", "defense"},
	},

	[16166] = { -- Elemental Mastery
		detect = "cast",
		effect = 16166,
		cooldown = 90,
		tags = {"important", "attack"},
	},

	[108285] = { -- Call of the Elements
		detect = "cast",
		cooldown = 180,
		tags = {"important", "attack"},
	},

	[51485] = { -- Earthgrab Totem
		detect = "cast",
		cooldown = 30,
		tags = {"utility"},
		-- TODO: 20 sec timer linked to summoned totem
	},
	
	[2484] = { -- Earthbind Totem
		detect = "cast",
		cooldown = 30,
		tags = {"utility"},
		-- TODO: 20 sec timer linked to summoned totem
	},

	[108273] = { -- Windwalk Totem
		detect = "cast",
		cooldown = 60,
		tags = {"utility"},
		-- TODO: 6 sec timer linked to summoned totem
	},

	[108271] = { -- Astral Shift
		detect = "cast",
		effect = 108271,
		cooldown = 120,
		tags = {"important", "defense"},
	},

	[30884] = { -- Nature's Guardian			TODO: get proper spellId
		detect = "cast",
		effect = 0,							-- TODO
		cooldown = 30,
		tags = {"defense"},
	},

	[108270] = { -- Stone Bulwark Totem
		detect = "cast",
		cooldown = 60,
		tags = {"important", "defense"},
		-- TODO: 30 sec timer linked to summoned totem
	},

	[98008] = { -- Spirit Link Totem
		detect = "cast",
		cooldown = 180,
		tags = {"important", "defense"},
		-- TODO: 6 sec timer linked to summoned totem
	},

	[30823] = { -- Shamanistic Rage
		detect = "cast",
		effect = 30823,
		cooldown = 60,
		tags = {"important", "defense"},
	},

	[51533] = { -- Feral Spirit
		detect = "cast",
		cooldown = 120,
		tags = {"important", "attack"},
		-- TODO: 30 sec timer linked to summoned pet
	},

	[58875] = { -- Spirit Walk
		detect = "cast",
		effect = 58875,
		cooldown = function(self) if self:HasGlyph(55454) then return 45 else return 60 end end,
		tags = {"important", "utility"},
	},

	[16190] = { -- Mana Tide Totem
		detect = "cast",
		cooldown = 180,
		tags = {"important", "utility"},
		-- TODO: 16 sec timer linked to summoned totem
	},
	
	[51490] = { -- Thunderstorm
		detect = "cast",
		effect = 51490,
		cooldown = function(self) if self:HasGlyph(63270) then return 35 else return 45 end end,
		tags = {"important", "attack"},
	},

	[114049] = { -- Ascendance
		detect = "cast",
		effect = {0, 0, 0},			-- TODO: each version buff
		cooldown = 180,
		tags = {"important", "attack"},
	},

	[79206] = { -- Spiritwalker's Grace
		detect = "cast",
		effect = 79206,
		cooldown = 120,
		tags = {"important", "utility"},
	},

	[120668] = { -- Stormlash Totem
		detect = "cast",
		cooldown = 300,
		tags = {"important", "attack"},
		-- TODO: 10 sec timer linked to summoned totem
	},

	[51514] = { -- Hex
		detect = "cast",
		effect = 51514,
		cooldown = function(self) if self:HasGlyph(63291) then return 35 else return 45 end end,
		tags = {"important", "control"},
	},

	[2062] = { -- Earth Elemental Totem
		detect = "cast",
		cooldown = 300,
		tags = {"important", "defense"},
		-- TODO: 60 sec timer linked to summoned totem
	},
	
	[2894] = { -- Fire Elemental Totem
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(55455) then return 180 else return 300 end end,
		tags = {"important", "attack"},
		-- TODO: 60 sec timer linked to summoned totem
	},

	[108269] = { -- Capacitor Totem
		detect = "cast",
		cooldown = 45,
		tags = {"important", "stun"},
	},

	[8143] = { -- Tremor Totem
		detect = "cast",
		cooldown = 60,
		tags = {"important", "utility"},
		-- TODO: 6 sec timer linked to summoned totem
	},

	[8177] = { -- Grounding Totem
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(55441) then return 60 else return 25 end end,
		tags = {"important", "utility"},
		-- TODO: 15 sec timer linked to summoned totem
	},
	
	[20608] = { -- Reincarnation					TODO: get proper spellId
		detect = "cast",
		cooldown = 1800,
		tags = {"important", "resurrect"},
	},

	[5394] = { -- Healing Stream Totem
		detect = "cast",
		cooldown = 30,
		tags = {"defense"},
		-- TODO: 15 sec timer linked to summoned totem
	},

	[57994] = { -- Wind Shear
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(55451) then return 15 else return 12 end end,
		interrupt = function(self) if self:HasGlyph(55451) then return 4 else return 3 end end,
		tags = {"important", "interrupt"},
	},

	[32182] = { -- Heroism
		detect = "cast",
		effect = 32182,
		cooldown = 300,
		tags = {"important", "attack"},
	},
	
	[2825] = { -- Bloodlust
		detect = "cast",
		effect = 2825,
		cooldown = 300,
		tags = {"important", "attack"},
	},

	-- TODO: talent 8: When a totem is replaced or destroyed before its duration expires naturally,
	-- its cooldown is reduced in proportion to the lost duration, up to a maximum of 50% of the full cooldown.
} )