PABR_Insert("WARLOCK", {
	[108505] = { -- Archimonde's Vengeance
		detect = "cast",
		effect = 108505,
		cooldown = 120,
		tags = {"important", "attack"},
	},

	[108501] = { -- Grimoire of Service
		detect = "cast",
		cooldown = 120,
		tags = {"important", "attack"},
	},

	[111397] = { -- Blood Horror
		detect = "cast",
		effect = 111397,
		cooldown = 30,
		tags = {"important", "control"},
	},

	[108482] = { -- Unbound Will
		detect = "cast",
		cooldown = 60,
		tags = {"important", "defense"},
	},

	[110913] = { -- Dark Bargain
		detect = "cast",
		effect = 110913,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[108416] = { -- Sacrificial Pact
		detect = "cast",
		effect = 108416,
		cooldown = 60,
		tags = {"important", "defense"},
	},

	[5484] = { -- Howl of Terror
		detect = "cast",
		effect = 5484,
		cooldown = 40,
		tags = {"important", "control"},
		-- TODO: When hit by a damaging attack, the cooldown on Howl of Terror is reduced by 1 sec.
	},

	[6789] = { -- Mortal Coil
		detect = "cast",
		effect = 6789,
		cooldown = 45,
		tags = {"important", "control"},
	},

	[30283] = { -- Shadowfury
		detect = "cast",
		effect = 30283,
		cooldown = 30,
		tags = {"important", "stun"},
	},

	[108359] = { -- Dark Regeneration
		detect = "cast",
		effect = 108359,
		cooldown = 120,
		tags = {"important", "defense"},
	},

	[113858] = { -- Dark Soul: Instability
		detect = "cast",
		effect = 113858,
		cooldown = 120,
		tags = {"important", "attack"},
	},
	
	[113861] = { -- Dark Soul: Knowledge
		detect = "cast",
		effect = 113861,
		cooldown = 120,
		tags = {"important", "attack"},
	},
	
	[113860] = { -- Dark Soul: Misery
		detect = "cast",
		effect = 113860,
		cooldown = 120,
		tags = {"important", "attack"},
	},
	
	[120451] = { -- Flames of Xoroth
		detect = "cast",
		cooldown = 60,
		tags = {"utility"},
	},

	[108559] = { -- Demonic Rebirth			TODO: get proper spellId
		detect = "cast",
		effect = 0,							-- TODO
		cooldown = 120,
		tags = {"important", "utility"},
	},
	
	[103967] = { -- Carrion Swarm
		detect = "cast",
		cooldown = 12,
		tags = {"utility"},
	},
	
	[80240] = { -- Havoc
		detect = "cast",
		effect = 80240,
		cooldown = 25,
		tags = {"attack"},
	},

	[109151] = { -- Demonic Leap
		detect = "cast",
		cooldown = 10,
		tags = {"utility"},
	},

	[17962] = { -- Conflagrate
		detect = "cast",
		charges = 2,
		cooldown = 12,
		tags = {"attack"},
	},

	[18540] = { -- Summon Doomguard
		detect = "cast",
		cooldown = 600,
		tags = {"attack"},
	},

	[1122] = { -- Summon Infernal
		detect = "cast",
		cooldown = 600,
		tags = {"attack"},
	},

	[104773] = { -- Unending Resolve
		detect = "cast",
		effect = 104773,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[29858] = { -- Soulshatter
		detect = "cast",
		cooldown = 120,
		tags = {"utility"},
	},

	[48020] = { -- Demonic Circle: Teleport
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(63309) then return 26 else return 30 end end,
		tags = {"important", "utility"},
	},

	[20707] = { -- Soulstone
		detect = "cast",
		effect = 20707,
		cooldown = 600,
		tags = {"important", "resurrect"},
	},

	[6229] = { -- Twilight Ward
		detect = "cast",
		effect = 6229,
		cooldown = 30,
		tags = {"defense"},
	},

	[104316] = { -- Imp Swarm
		detect = "cast",
		cooldown = 120,
		tags = {"important", "attack"},
	},

	[86121] = { -- Soul Swap
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(56226) then return 30 else return 0 end end,
		tags = {"attack"},
	},

	[5782] = { -- Fear
		detect = "cast",
		effect = 5782,
		cooldown = function(self) if self:HasGlyph(56244) then return 5 else return 0 end end,
		tags = {"control"},
	},
	
	[18223] = { -- Curse of Exhaustion
		detect = "cast",
		effect = 18223,
		cooldown = function(self) if self:HasGlyph(58080) then return 10 else return 0 end end,
		tags = {"utility"},
	},
} )