PABR_Insert("WARRIOR", {
	[107574] = { -- Avatar
		detect = "cast",
		effect = 107574,
		cooldown = 180,
		tags = {"important", "attack"},
	},
	
	[12292] = { -- Bloodbath
		detect = "cast",
		effect = 12292,
		cooldown = 60,
		tags = {"attack"},
	},
	
	[107570] = { -- Stormbolt
		detect = "cast",
		effect = 107570,
		cooldown = 30,
		tags = {"stun"},
	},
	
	[114028] = { -- Mass Spell Reflection
		detect = "cast",
		effect = 114028,
		cooldown = 60,
		tags = {"defense"},
	},
	
	[114029] = { -- Safeguard
		detect = "cast",
		effect = 114029,
		cooldown = 30,
		tags = {"defense"},
	},

	[114030] = { -- Vigilance
		detect = "cast",
		effect = 114030,
		cooldown = 120,
		tags = {"defense"},
	},
	
	[46924] = { -- Bladestorm
		detect = "cast",
		effect = 46924,
		cooldown = 90,
		tags = {"important", "attack"},
	},
	
	[118000] = { -- Dragon Roar
		detect = "cast",
		cooldown = 60,
		tags = {"attack"},
	},
	
	[46968] = { -- Shockwave
		detect = "cast",
		effect = 46968,
		cooldown = 40,
		tags = {"stun"},
		-- TODO: -20 sec CD if 3+ hits
	},

	[102060] = { -- Disrupting Shout
		detect = "cast",
		cooldown = 40,
		interrupt = 4,
		tags = {"important", "interrupt"},
		-- TODO: check
	},
	
	[107566] = { -- Staggering Shout
		detect = "cast",
		effect = 107566,
		cooldown = 40,
		tags = {"utility"},
	},
	
	[55694] = { -- Enraged Regeneration
		detect = "cast",
		effect = 55694,
		cooldown = 60,
		tags = {"defense"},
	},

	[103840] = { -- Impending Victory
		detect = "cast",
		cooldown = 30,
		tags = {"defense"},
	},

	[86346] = { -- Colossus Smash
		detect = "cast",
		effect = 86346,
		cooldown = 20,
		tags = {"attack"},
	},
	
	[1160] = { -- Demoralizing Shout
		detect = "cast",
		effect = 1160,
		cooldown = 60,
		tags = {"defense"},
	},

	[118038] = { -- Die by the Sword
		detect = "cast",
		effect = 118038,
		cooldown = 120,
		tags = {"important", "defense"},
	},

	[12975] = { -- Last Stand
		detect = "cast",
		effect = 12975,
		cooldown = 180,
		tags = {"important", "defense"},
	},
	
	[871] = { -- Shield Wall
		detect = "cast",
		effect = 871,
		cooldown = function(self) if self:HasGlyph(63329) then return 300 else return 180 end end,
		tags = {"important", "defense"},
	},

	[97462] = { -- Rallying Cry
		detect = "cast",
		effect = 97462,
		cooldown = 180,
		tags = {"important", "defense"},
	},

	[114203] = { -- Demoralizing Banner
		detect = "cast",
		cooldown = 180,
		tags = {"defense"},
		-- TODO: 15 sec duration
	},

	[114192] = { -- Mocking Banner
		detect = "cast",
		effect = 114192,
		cooldown = 180,
		tags = {"utility"},
	},

	[114207] = { -- Skull Banner
		detect = "cast",
		cooldown = 180,
		tags = {"important", "attack"},
		-- TODO: 10 sec duration
	},

	[6544] = { -- Heroic Leap
		detect = "cast",
		cooldown = function(self) if self:HasGlyph(63325) then return 30 else return 45 end end,
		tags = {"utility"},
	},

	[23920] = { -- Spell Reflection
		detect = "cast",
		effect = 23920,
		cooldown = function(self) if self:HasGlyph(63328) then return 20 else return 25 end end,
		tags = {"defense"},
	},

	[64382] = { -- Shattering Throw
		detect = "cast",
		effect = 64382,
		cooldown = 300,
		tags = {"important", "attack"},
	},

	[1719] = { -- Recklessness
		detect = "cast",
		effect = 1719,
		cooldown = 180,
		tags = {"important", "attack"},
	},

	[3411] = { -- Intervene
		detect = "cast",
		effect = 3411,
		cooldown = 30,
		tags = {"utility"},
	},

	[18499] = { -- Berserker Rage
		detect = "cast",
		effect = 18499,
		cooldown = 30,
		tags = {"attack"},
	},
	
	[5246] = { -- Intimidating Shout
		detect = "cast",
		effect = 5246,
		cooldown = 90,
		tags = {"important", "control"},
	},

	[676] = { -- Disarm
		detect = "cast",
		effect = 676,
		cooldown = 60,
		tags = {"disable"},
	},

	[6552] = { -- Pummel
		detect = "cast",
		cooldown = 15,
		interrupt = 4,
		tags = {"important", "interrupt"},
		-- TODO: check
	},
	
	[100] = { -- Charge
		detect = "cast",
		charges = function(self) if self:HasTalent(2) then return 2 else return 1 end end,
		cooldown = function(self) if self:HasTalent(1) then return 12 else return 20 end end,
		tags = {"stun"},
	},
} )