PABR_Insert("HUNTER", {
	[120360] = { -- Barrage
		detect = "cast",
		cooldown = 30,
		tags = {"attack"},
	},
	
	[109259] = { -- Powershot
		detect = "cast",
		cooldown = 45,
		tags = {"attack"},
	},

	[131894] = { -- A Murder of Crows
		detect = "cast",
		effect = 131894,
		cooldown = 120,
		tags = {"attack"},
		-- TODO: If used on a target below 20% health, the cooldown is reduced to 60 seconds.
	},
	
	[120697] = { -- Lynx Rush
		detect = "cast",
		cooldown = 90,
		tags = {"attack"},
	},

	[120679] = { -- Dire Beast
		detect = "cast",
		cooldown = 30,
		tags = {"attack"},
	},

	[82726] = { -- Fervor
		detect = "cast",
		effect = 82726,
		cooldown = 30,
		tags = {"attack"},
	},

	[109304] = { -- Exhilaration
		detect = "cast",
		cooldown = 120,
		tags = {"important", "defense"},
	},

	[19577] = { -- Intimidation
		detect = "cast",
		effect = 0,			-- TODO
		cooldown = 60,
		tags = {"important", "stun"},
	},

	[34490] = { -- Silencing Shot
		detect = "cast",
		effect = 34490,
		cooldown = 24,
		tags = {"important", "disable"},
	},

	[19386] = { -- Wyvern Sting
		detect = "cast",
		effect = 19386,
		cooldown = 45,
		tags = {"important", "control"},
	},

	[19574] = { -- Bestial Wrath
		detect = "cast",
		effect = 19574,
		cooldown = 60,
		tags = {"important", "attack"},
	},

	[109248] = { -- Binding Shot
		detect = "cast",
		effect = 0, -- TODO
		cooldown = 45,
		tags = {"stun"},
	},

	[51753] = { -- Camouflage
		detect = "cast",
		effect = 0,			-- TODO
		cooldown = 60,
		tags = {"utility"},
	},

	[121818] = { -- Stampede
		detect = "cast",
		cooldown = 300,
		tags = {"important", "attack"},
	},

	[19263] = { -- Deterrence
		detect = "cast",
		effect = 19263,
		cooldown = function(self) if self:HasTalent(3) then return 60 else return 120 end end,
		tags = {"important", "defense"},
	},

	[34477] = { -- Misdirection
		detect = "cast",
		effect = 34477,
		cooldown = 30,
		tags = {"utility"},
	},

	[53271] = { -- Master's Call
		detect = "cast",
		effect = 0,			-- TODO
		cooldown = 45,
		tags = {"important", "defense"},
	},

	[34600] = { -- Snake Trap
		detect = "cast",
		cooldown = function(self) if self:HasSpec(255) then return 24 else return 30 end end,
		tags = {"utility"},
	},
	
	[13813] = { -- Explosive Trap
		detect = "cast",
		cooldown = function(self) if self:HasSpec(255) then return 24 else return 30 end end,
		tags = {"utility"},
	},

	[13809] = { -- Ice Trap
		detect = "cast",
		cooldown = function(self) if self:HasSpec(255) then return 24 else return 30 end end,
		tags = {"utility"},
	},

	[1499] = { -- Freezing Trap
		detect = "cast",
		effect = 0,			-- TODO
		cooldown = function(self) if self:HasSpec(255) then return 24 else return 30 end end,
		tags = {"important", "control"},
	},

	[19503] = { -- Scatter Shot
		detect = "cast",
		effect = 19503,
		cooldown = 30,
		tags = {"important", "control"},
	},

	[781] = { -- Disengage
		detect = "cast",
		cooldown = function(self) if self:HasTalent(3) then return 15 else return 25 end end,
		tags = {"important", "defense"},
	},

	[5384] = { -- Feign Death
		detect = "cast",
		cooldown = 30,
		tags = {"utility"},
	},

	[1543] = { -- Flare
		detect = "cast",
		cooldown = 20,
		tags = {"utility"},
	},

	[3045] = { -- Rapid Fire
		detect = "cast",
		effect = 3045,
		cooldown = 180,
		tags = {"attack"},
	},

	[23989] = { -- Readiness
		detect = "cast",
		reset = {120360, 109259, 82726, 34490, 19386, 109248, 51753, 19263, 34477, 34600, 13813, 13809, 1499, 19503, 781, 5384, 1543, 3045},
		cooldown = 300,
		tags = {"important", "utility"},
		-- TODO: also include 131894, 120697, 120679, 109304, 19577, 19574, 53271 ?
		-- TODO: recheck all resets
	},
} )